Download it now!
Bug 76589 - FILESAVE : DOCX : Numbered list is not preserved after Roundtrip
Summary: FILESAVE : DOCX : Numbered list is not preserved after Roundtrip
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-25 10:22 UTC by pallavi.jadhav
Modified: 2014-04-05 21:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Contains Numbered list starting from 1 (25.98 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-25 10:22 UTC, pallavi.jadhav
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2014-03-25 10:22:57 UTC
Created attachment 96355 [details]
Contains Numbered list starting from 1

Steps to reproduce :
1] Open attached file in LO
2] Perform save_as
3] Open saved file in MS Office 2010

Current behavior :
Numbered list is not preserved.

Expected behavior :
Numbered list should get preserved.

XML difference :
In numbering.xml

for
<w:abstractNum w:abstractNumId="1">
   <w:lvl w:ilvl="0">

<w:lvlText w:val="" /> val is empty. It should be <w:lvlText w:val="%1" />
Comment 1 Jorendc 2014-03-25 18:29:01 UTC
I can confirm that behavior, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: aeab0183e86fe011d32058864c02b2de4da32dc9
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-24_05:49:57

Kind regards,
Joren
Comment 2 Commit Notification 2014-04-03 09:10:17 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8902a25c1ad11161fe7b9d263e9d7afe23f95e50

fdo#76589 : FILESAVE: DOCX: Numbered list is not preserved after RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2014-04-05 21:51:49 UTC
Looks fixed indeed! thanks

Tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 7d3a899f0ea4311b216b8398751d33a88b83d6ec
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-04-05_00:10:05

Kind regards,
Joren